libfpm_pb0-1.2.4-2.1.i586.rpm


Advertisement

Description

libfpm_pb0 - Quagga fpm protobuf library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libfpm_pb0-1.2.4-2.1.i586.rpm
Package name libfpm_pb0
Package version 1.2.4
Package release 2.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.quagga.net
License LGPL-2.1-or-later
Maintainer -
Download size 29.20 KB
Installed size 13.14 KB
This library contains forwarding plane manager protobuf definitions
for Quagga.

Alternatives

Package Version Architecture Repository
libfpm_pb0-1.2.4-2.1.x86_64.rpm 1.2.4 x86_64 openSUSE Oss
libfpm_pb0 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.1.3) -

Provides

Name Value
libfpm_pb.so.0 -
libfpm_pb0 = 1.2.4-2.1
libfpm_pb0(x86-32) = 1.2.4-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libfpm_pb0-1.2.4-2.1.i586.rpm
Source Package quagga-1.2.4-2.1.src.rpm

Install Howto

Install libfpm_pb0 rpm package:

# zypper install libfpm_pb0

Files

Path
/usr/lib/libfpm_pb.so.0
/usr/lib/libfpm_pb.so.0.0.0

Changelog

2019-04-26 - mvetter@suse.com
- bsc#1130588: Require shadow instead of old pwdutils
2018-11-14 - mardnh@gmx.de
- Update to version 1.2.4
Bugfix release
See http://mirror.easyname.at/nongnu/quagga/quagga-1.2.4.changelog.txt
for complete changelog.
- Update to version 1.2.3
Bugfix and security release
See http://mirror.easyname.at/nongnu/quagga/quagga-1.2.3.changelog.txt
for complete changelog.
* Security related changes:
+ Fixes CVE-2018-5278
+ Fixes CVE-2018-5279
+ Fixes CVE-2018-5280
+ Fixes CVE-2018-5281
- Update to version 1.2.2
Bugfix and security release
See http://mirror.easyname.at/nongnu/quagga/quagga-1.2.2.changelog.txt
for complete changelog.
* Security related changes:
+ Fixes CVE-2017-16227
- Update to version 1.2.1
Bugfix release
See http://mirror.easyname.at/nongnu/quagga/quagga-1.2.1.changelog.txt
for complete changelog.
- Update to version 1.2.0
Bugfix release
See http://mirror.easyname.at/nongnu/quagga/quagga-1.2.0.changelog.txt
for complete changelog.
- Rebase patch:
* 0001-systemd-change-the-WantedBy-target.patch
- Removed patches (fixed upstream):
* Quagga-2018-0543-bgpd.bsc1079798.patch
* Quagga-2018-1114-bgpd.bsc1079799.patch
* Quagga-2018-1550-bgpd-bsc1079800.patch
* Quagga-2018-1975-bdpd.bsc1079801.patch
* quagga-CVE-2017-16227-bgpd-Fix-AS_PATH-size-calculation.patch
2018-02-09 - mt@suse.de
- Applied security fix for bgpd DoS via specially crafted BGP
UPDATE messages  (CVE-2017-16227,bsc#1065641)
[+ quagga-CVE-2017-16227-bgpd-Fix-AS_PATH-size-calculation.patch]
- Applied security fix for bgpd bounds check issue via attribute
length (CVE-2018-5378,Quagga-2018-0543,bsc#1079798)
[+ Quagga-2018-0543-bgpd.bsc1079798.patch]
- Applied security fix for bgpd double free when processing UPDATE
message (CVE-2018-5379,Quagga-2018-1114,bsc#1079799)
[+ Quagga-2018-1114-bgpd.bsc1079799.patch]
- Applied security fix for bgpd code-to-string conversion tables
overrun (CVE-2018-5380,Quagga-2018-1550,bsc#1079800)
[+ Quagga-2018-1550-bgpd-bsc1079800.patch]
- Applied security fix for bgpd infinite loop on certain invalid
OPEN messages (CVE-2018-5381,Quagga-2018-1975,bsc#1079801)
[+ Quagga-2018-1975-bdpd.bsc1079801.patch]
2017-11-23 - rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
%_fillupdir macro (boo#1069468)
2017-04-11 - mt@suse.de
- Disabled passwords in default zebra.conf config file, causing
to disable vty telnet interface by default. The vty interface
is available via "vtysh" utility using pam authentication to
permit management access for root without password (bsc#1021669).
- Changed owner of /etc/quagga to quagga:quagga to permit to manage
quagga via vty interface.
2017-04-03 - tchvatal@suse.com
- Remove FIXME's added by spec-cleaner by using proper phases for the
prereq deps
- Remove code checking for the proc mounting (build scripts do that
for us anyway) + remove the commented out autoconf
- Use content of %tmpfiles_create macro rather than 2 lines of checks
- Use version in zebra provides/obsoletes to avoid rpmlint warning

See Also

Package Description
libfprint-devel-0.99.0-1.2.i586.rpm Library for fingerprint reader support (developer files)
libfprint-devel-0.99.0-1.2.x86_64.rpm Library for fingerprint reader support (developer files)
libfprint0-0.99.0-1.2.i586.rpm Library for fingerprint reader support
libfprint0-0.99.0-1.2.x86_64.rpm Library for fingerprint reader support
libfprint0-32bit-0.99.0-1.2.x86_64.rpm Library for fingerprint reader support
libframe6-2.5.0+bzr20160809-1.5.i586.rpm Touch frame library
libframe6-2.5.0+bzr20160809-1.5.x86_64.rpm Touch frame library
libframe6-32bit-2.5.0+bzr20160809-1.5.x86_64.rpm Touch frame library
libfreebl3-3.42.1-1.1.i586.rpm Freebl library for the Network Security Services
libfreebl3-3.42.1-1.1.x86_64.rpm Freebl library for the Network Security Services
libfreebl3-32bit-3.42.1-1.1.x86_64.rpm Freebl library for the Network Security Services
libfreecell-solver0-5.0.0-1.2.i586.rpm Freecell Solver library
libfreecell-solver0-5.0.0-1.2.x86_64.rpm Freecell Solver library
libfreefare-devel-0.4.0-4.11.i586.rpm Development files for the Mifare card manipulation library
libfreefare-devel-0.4.0-4.11.x86_64.rpm Development files for the Mifare card manipulation library
Advertisement
Advertisement